org.apache.sling.fileoptim.impl.servlets

## Class FileOptimizerData

- java.lang.Object
- - javax.servlet.GenericServlet
  - - org.apache.sling.api.servlets.SlingSafeMethodsServlet
    - - org.apache.sling.fileoptim.impl.servlets.FileOptimizerData

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class FileOptimizerData
    extends org.apache.sling.api.servlets.SlingSafeMethodsServlet

Servlet for displaying a preview of an optimized image.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileOptimizerData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doGet(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doHead, doOptions, doTrace, getAllowedRequestMethods, getServletInfo, handleMethodNotImplemented, mayService, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileOptimizerData

    public FileOptimizerData()

### Method Detail

#### doGet

    protected void doGet(org.apache.sling.api.SlingHttpServletRequest request,
                         org.apache.sling.api.SlingHttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

Overrides:
  `doGet` in class `org.apache.sling.api.servlets.SlingSafeMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`